Bug 15984 - X won't start after upgrade from 6.1 (xfs won't start)
Summary: X won't start after upgrade from 6.1 (xfs won't start)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 13:48 UTC by whampton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 14:29:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description whampton 2000-08-11 13:48:33 UTC
After my aborted first install (no functional CD2), I restarted the upgrade
(see previous bugs).  The upgrade was from 6.1 to 7.0 beta.  The upgrade
finished without error.  After the upgrade and a reboot, the X server would
not start (runlevel 3, login as user, type startx).  The error was no
default font and could not contact "unix:/7200", i.e., the fontserver. 
Attempting to run /etc/rc.d/init.d/xfs start failed, it could not find the
file "functions" (I will need to copy this file from a working install).  

Note, the system had Corel Office 2K installed, which includes an
additional font server.

Comment 1 Bill Nottingham 2000-08-11 13:57:59 UTC
Are you *sure* there were no errors in the upgrade log?

It sounds like you have an incomplete initscripts install.

Comment 2 whampton 2000-08-11 14:29:39 UTC
I'll have to check the upgrade log (system is at another location).   I'll
reload initscripts and see if the problem goes away.  Prior to finishing the
run, it might be a good idea to run an rpm verify on a few things to validate
the install?

Comment 3 Preston Brown 2000-10-04 19:16:55 UTC
user must have had a screwed up initscripts, this problem is not present in RHL
7 final.


Note You need to log in before you can comment on or make changes to this bug.